-- シングルトンの利用サンプル
-- Satofumi KAMIMURA
-- $Id: use_singleton.lua 699 2009-03-30 20:43:01Z satofumi $

-- 関数越しにシングルトンを作成して利用
local singleton_class = SingletonClass_object()
singleton_class:hello()

-- Lua に直接登録したオブジェクトを利用
SingletonClass:hello()
